Package org.italiangrid.voms.credential

# Interface VOMSEnvironmentVariables

All Known Implementing Classes:
  `AbstractLoadCredentialsStrategy`, `DefaultLoadCredentialsStrategy`

public interface VOMSEnvironmentVariables

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PKCS12_USER_CERT`
`static final String`
`VOMS_USER_ID`
`static final String`
`X509_CERT_DIR`
`static final String`
`X509_USER_CERT`
`static final String`
`X509_USER_KEY`
`static final String`
`X509_USER_PROXY`
`static final String`
`X509_VOMS_DIR`

## Field Details

### X509_CERT_DIR

static final String X509_CERT_DIR

See Also:
  - Constant Field Values

### X509_VOMS_DIR

static final String X509_VOMS_DIR

See Also:
  - Constant Field Values

### X509_USER_PROXY

static final String X509_USER_PROXY

See Also:
  - Constant Field Values

### X509_USER_CERT

static final String X509_USER_CERT

See Also:
  - Constant Field Values

### X509_USER_KEY

static final String X509_USER_KEY

See Also:
  - Constant Field Values

### PKCS12_USER_CERT

static final String PKCS12_USER_CERT

See Also:
  - Constant Field Values

### VOMS_USER_ID

static final String VOMS_USER_ID

See Also:
  - Constant Field Values